Refund Payment

Do a Refund Payment Request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the PHP SDK

You can also use the PHP SDK to trigger a request to Refund the amount from a Charged or Captured Payment.

require '../vendor/autoload.php';

try {
    $client = new CartGateway\CartGateway([
        'account_id' => 123,
        'access_token' => 'access-token',
    ]);

    $model = new CartGateway\Models\RefundPayment([
        'amount' => 500, // in cents
        'payment_id' => '',
    ]);
    $response = $client->refundPayment($model);
} catch (CartGateway\Exceptions\ApiException $e) {
    echo $e->message;
    exit;
}

// refund was a success
var_dump($response);
Body Params
string
Defaults to 1234

The unique payment id from a Charged Payment or a Capture Authorized Payment requests.

int32
Defaults to 500

The amount is in cents.

Headers
string
Defaults to 7769
string
Defaults to sandbox

For testing: sandbox, for live: production

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json